io.milvus.param.collection

## Class GetCollectionStatisticsParam.Builder

- java.lang.Object
- - io.milvus.param.collection.GetCollectionStatisticsParam.Builder

Enclosing class:
  GetCollectionStatisticsParam

    public static final class GetCollectionStatisticsParam.Builder
    extends java.lang.Object

Builder for `GetCollectionStatisticsParam` class.

### Method Summary

All Methods Instance Methods Concrete Methods
`GetCollectionStatisticsParam` `build()` Verifies parameters and creates a new `GetCollectionStatisticsParam` instance.
`GetCollectionStatisticsParam.Builder` `withCollectionName(@NonNull java.lang.String collectionName)` Sets the collection name.
`GetCollectionStatisticsParam.Builder` `withDatabaseName(java.lang.String databaseName)` Sets the database name.
`GetCollectionStatisticsParam.Builder` `withFlush(@NonNull java.lang.Boolean flush)` Requires a flush action before retrieving collection statistics.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### withDatabaseName

    public GetCollectionStatisticsParam.Builder withDatabaseName(java.lang.String databaseName)

Sets the database name. database name can be nil.

Parameters:
  `databaseName` - database name
Returns:
  `Builder`

#### withCollectionName

    public GetCollectionStatisticsParam.Builder withCollectionName(@NonNull
                                                                   @NonNull java.lang.String collectionName)

Sets the collection name. Collection name cannot be empty or null.

Parameters:
  `collectionName` - collection name
Returns:
  `Builder`

#### withFlush

    public GetCollectionStatisticsParam.Builder withFlush(@NonNull
                                                          @NonNull java.lang.Boolean flush)

Requires a flush action before retrieving collection statistics.

Parameters:
  `flush` - `Boolean.TRUE` require a flush action
Returns:
  `Builder`

#### build

    public GetCollectionStatisticsParam build()
                                       throws ParamException

Verifies parameters and creates a new `GetCollectionStatisticsParam` instance.

Returns:
  `GetCollectionStatisticsParam`
Throws:
  `ParamException`